ucspi-proxy(1)

NAME
ucspi-proxy - Copy data between a UCSPI client and server

SYNOPSIS
ucspi-proxy [ -v ] [ -t TIMEOUT ] [ HOST PORT ]

DESCRIPTION
This program is a simple loop copying data from a UCSPI server (file descriptor 0) to a client, and from a client to a server (FD 1). If either socket closes, ucspi-proxy exits. The other ucspi-proxy-* programs are based on this simple loop and have similar usage.

If HOST and PORT are given on the command line, ucspi-proxy will make a TCP connection with the given parameters. If neither are present, ucspi-proxy will use file descriptor 6 for the client socket, as provided by UCSPI client programs.

OPTIONS

-l MAXLINE
    The maximum length of lines (from either server or client) to copy to the log. Defaults to 64.

-t TIMEOUT
    When making an connection, ucspi-proxy will wait a maximum of TIMEOUT seconds before giving up. Defaults to 30.

-v  Print messages about errors and byte counts. Without this option, ucspi-proxy is silent.

RETURN VALUE
Exits 0 if a normal end of file was reached on one of the sockets. Otherwise it exits 1.

SEE ALSO
ucspi-unix, ucspi-tcp